Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 14287

Description

QGIS should be able to display RSS feeds properly for WMS searches. The release notes for QGIS 1.5 state that QGIS should be able to

query OpenSearch enabled services.

Searching for services does work and QGIS is able to display the search results but displays HTML tags to the user instead of rendering

them as a browser would do. Rendering HTML seems to work for some tags though when the description column is hovered with the

mouse.

Steps to reproduce (QGIS 1.7):

    -  Open Settings › Options… › Network from the menu

    -  Put a search service in the box labelled “WMS search address” such as 

http://www.mapmatters.org/search?search=%1&#38;bbox={geo:box?}&#38;page={startPage?}&#38;count={count?}&#38;format=rss

    -  Search a WMS layer by clicking: Layer › Add WMS layer… › Server Search

    -  Put a search string and click Search. The query “landuse” yields some results for the mentioned search server.

    -  The column Description shows HTML code instead of the rendering.

    -  Hover the column Description with the mouse and see that QGIS renders some tags such as <b> or <br> in the tooltip.

Expected behavior:

    -  The column Description shows a rendering similar to what a browser would show instead of presenting the tags.

    -  When a feed refers to images, these are rendered within the cell in the Description column to allow for easy reasoning on the

suitability of the search result.

Further things noted:

    -  Double-clicking the search results should do the same as clicking the button “Add selected row to WMS list” below the search results

    -  After s WMS was added (is visible in the layers tab), the parameters of the URI from the search result should have an effect.

Choosing a layer automatically would be sensible.

Note that you need to replace {searchTerms} with %1 in the search server URI to make parameter replacement work in QGIS. According

to http://www.opensearch.org/Specifications/OpenSearch/1.1 QGIS should replace the string {searchTerms} instead of %1.

The feed mentioned above does render nicely in Firefox or Akregator for example.

History

#1 - 2011-11-12 05:51 AM - Tim Sutton

- Target version changed from Version 1.7.1 to Version 1.7.2

#2 - 2011-11-30 12:40 PM - Giovanni Manghi

- Target version changed from Version 1.7.2 to Version 1.7.3

#3 - 2011-12-16 10:54 AM - Giovanni Manghi

- Target version changed from Version 1.7.3 to Version 1.7.4
#4 - 2012-04-16 06:29 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

- Target version changed from Version 1.7.4 to Version 1.8.0

#5 - 2012-09-04 11:57 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#6 - 2014-06-28 07:40 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#7 - 2017-05-01 01:10 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#8 - 2019-03-09 04:04 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
